Bug 58111 - /etc/X11/prefdm dumps all output
Summary: /etc/X11/prefdm dumps all output
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-08 22:39 UTC by Michael Stenner
Modified: 2014-03-17 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 19:30:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Stenner 2002-01-08 22:39:29 UTC
Description of Problem:

/etc/X11/prefdm directs all output (stdout and stderr) to /dev/null when it
execs the display manager. If there happens to be a problem with the display
manager (or X), it can be very hard (especially for a new user) to figure out
what's wrong. I think that with all other init scripts, output is dumped to the
terminal.

Version-Release number of selected component (if applicable):

6.40-1

How Reproducible: N/A
Steps to Reproduce: N/A
Actual Results: N/A
Expected Results: N/A
Additional Information:

Comment 1 Bill Nottingham 2005-09-29 19:30:51 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

Realistically, this behavior will probably not change; if there are specific
errors, the display manager will log them (and gdm will pop up a dialog if it
notices itself failing excessively.)


Note You need to log in before you can comment on or make changes to this bug.